package com.sd.business.controller.order;

import com.sd.business.entity.order.dto.OrderSkuArtworkMakeDto;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderSkuArtworkMakeVo;
import com.sd.business.entity.order.dto.OrderSkuArtworkMakeSelectDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.order.OrderSkuArtworkMakeService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 订单sku图稿制作 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-12-07
 */
@RestController
@RequestMapping("/orderSkuArtworkMake")
public class OrderSkuArtworkMakeController {

    @Autowired
    private OrderSkuArtworkMakeService orderSkuArtworkMakeService;

    /**
     * 订单sku图稿制作分页
     */
    @PostMapping("/page")
    public Page<OrderSkuArtworkMakeVo> page(@RequestBody OrderSkuArtworkMakeSelectDto dto) {
        return orderSkuArtworkMakeService.getPage(dto);
    }

    /**
     * 订单sku图稿制作明细
     */
    @PostMapping("/detail")
    public OrderSkuArtworkMakeVo detail(@RequestBody BaseSelectDto dto) {
        return orderSkuArtworkMakeService.detail(dto.getId());
    }

    /**
     * 订单sku图稿制作编辑
     */
    @PostMapping("/edit")
    public void edit(@Validated @RequestBody OrderSkuArtworkMakeDto orderSkuArtworkMakeDto) {
        orderSkuArtworkMakeService.edit(orderSkuArtworkMakeDto);
    }

}
