package com.sd.business.controller.sku;

import org.springframework.web.bind.annotation.*;
import com.sd.business.entity.sku.dto.SkuDefaultPackageSpecDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.sku.SkuDefaultPackageSpecService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * sku包材配置规格 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-12-20
 */
@RestController
@RequestMapping("/skuDefaultPackageSpec")
public class SkuDefaultPackageSpecController {

    @Autowired
    private SkuDefaultPackageSpecService skuDefaultPackageSpecService;

    /**
     * sku包材配置规格新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SkuDefaultPackageSpecDto dto) {
        skuDefaultPackageSpecService.add(dto);
    }

    /**
     * sku包材配置规格删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        skuDefaultPackageSpecService.delete(dto.getId());
    }

}
