package com.sd.business.entity.bom.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * bom规格报价板查询入参实体
 *
 * @author
 * @since 2023-12-20
 */
@Getter
@Setter
public class BomSpecQuotationDto {

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;
}
