package com.sd.business.entity.order.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 订单sku图稿制作列表查询入参实体
 *
 * @author 
 * @since 2023-12-07
 */
@Getter
@Setter
public class OrderSkuArtworkMakeSelectDto extends BaseSelectDto {

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * sku品号
     */
    private String skuCode;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * 图稿状态 0待制作 1待确认 2已驳回 3已确认
     */
    private Integer status;
}
