package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;

/**
 * <p>
 * 订单sku图稿日志
 * </p>
 *
 * @author 
 * @since 2023-11-23
 */
@Getter
@Setter
@TableName("order_sku_artwork_log")
public class OrderSkuArtworkLog extends BasePo {

    /**
     * 订单id
     */
    @NonNull
    private Long orderId;

    /**
     * 订单sku id
     */
    @NonNull
    private Long orderSkuId;

    /**
     * 类型 10上传设计图 20上传打样图 22驳回打样图稿 30确认打样图 40上传设计图稿
     */
    @NonNull
    private Integer type;

    /**
     * 操作人
     */
    private String operator;

    /**
     * 备注
     */
    private String remark;

}
