package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 订单sku图稿制作
 * </p>
 *
 * @author 
 * @since 2023-12-07
 */
@Getter
@Setter
@TableName("order_sku_artwork_make")
public class OrderSkuArtworkMake extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单sku id
     */
    private Long orderSkuId;

    /**
     * 设计图
     */
    private String blueprint;

    /**
     * 设计图详情 json
     */
    private String blueprintDetails;

    /**
     * 生产文件
     */
    private String productionDocument;

    /**
     * 打样图
     */
    private String proofingImg;

    /**
     * 图稿状态 0待制作 1待确认 2已驳回 3已确认
     */
    private Integer status;

    /**
     * 图稿确认时间
     */
    private Date artworkConfirmTime;

}
