package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 订单列表查询返回值实体
 *
 * @author 
 * @since 2023-11-23
 */
@Getter
@Setter
public class OrderInfoVo extends OrderInfo {

    /**
     * sku品号
     */
    private String skuCode;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * 订单商品
     */
    private List<OrderSkuVo> orderSkuList;
}
