package com.sd.business.service.order;

import com.sd.business.entity.order.dto.OrderSkuArtworkLogDto;
import com.sd.business.entity.order.po.OrderSku;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.vo.OrderSkuVo;

import java.util.List;


/**
 * <p>
 * 订单sku 服务类
 * </p>
 *
 * @author 
 * @since 2023-11-23
 */
public interface OrderSkuService extends BaseService<OrderSku> {

    /**
     * 获取订单sku未确认图稿列表
     *
     * @param orderId
     * @return
     */
    List<OrderSkuVo> getUnconfirmedArtworkList(Long orderId);

    /**
     * 订单sku打样图稿确认
     * @param dto
     */
    void confirmArtwork(OrderSkuArtworkLogDto dto);
}
