package com.sd.business.service.sku.impl;

import com.sd.business.entity.sku.po.SkuDefaultPackageSpec;
import com.sd.business.mapper.sku.SkuDefaultPackageSpecMapper;
import com.sd.business.service.sku.SkuDefaultPackageSpecService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.sku.dto.SkuDefaultPackageSpecDto;
import org.springframework.stereotype.Service;


/**
 * <p>
 * sku包材配置规格 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-12-20
 */
@Service
public class SkuDefaultPackageSpecServiceImpl extends ServiceImpl<SkuDefaultPackageSpecMapper, SkuDefaultPackageSpec> implements SkuDefaultPackageSpecService {

    @Override
    public void add(SkuDefaultPackageSpecDto dto) {
        save(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
