package com.sd.mq.entity;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;

@Getter
@Setter
public class BomSpecDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * mes系统id
     */
    private Long id;

    /**
     * 图片路径
     */
    private String mainImgUrl;

    /**
     * 品名
     */
    private String name;

    /**
     * 品号
     */
    private String code;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 对内销售价(含税)
     */
    private BigDecimal internalSellingPrice;

    /**
     * 对外销售价(含税)
     */
    private BigDecimal externalSellingPrice;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 净重 g
     */
    private BigDecimal netWeight;
}
