package com.sd.mq.entity;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class OrderMessage extends BaseMessage {

    /**
     * 订单号
     */
    private String code;

    /**
     * 收货人
     */
    private String consignee;

    /**
     * 收货人电话
     */
    private String consigneeNumber;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 县
     */
    private String county;

    /**
     * 街道
     */
    private String streetCode;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 邮编
     */
    private String postcode;

    /**
     * 备注
     */
    private String remark;

    /**
     * 操作人
     */
    private String operator;

    /**
     * 订单商品
     */
    private List<OrderSkuDetail> orderSkuDetailList;
}
