package com.sd.business.entity.bom.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * bom规格列表查询入参实体
 *
 * @author
 * @since 2023-11-20
 */
@Getter
@Setter
public class BomSpecSelectDto extends BaseSelectDto {

    /**
     * bom分类id
     */
    private Long bomClassifyId;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 正面纹路 字典:bom_frontGrain
     */
    private String frontGrain;

    /**
     * 背面纹路 字典:bom_reverseGrain
     */
    private String reverseGrain;
}
