package com.sd.business.entity.dict.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 字典配置数据
 * </p>
 *
 * @author 
 * @since 2023-12-05
 */
@Getter
@Setter
@TableName("dict_config_data")
public class DictConfigData extends BasePo {

    /**
     * 字典编码
     */
    private String dictCode;

    /**
     * key
     */
    private String dictKey;

    /**
     * value
     */
    private String dictValue;

    /**
     * 图片id
     */
    private Long imgId;

    /**
     * 图片链接
     */
    private String imgUrl;

    /**
     * rgb编码
     */
    private String rgbCode;

    /**
     * 排序
     */
    private Integer sort;

}
