package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderInfo;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;

/**
 * 大宗订单列表查询返回值实体
 *
 * @author
 * @since 2023-12-04
 */
@Getter
@Setter
public class BulkOrderVo extends OrderInfo {

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 正面纹路 字典:bom_frontGrain
     */
    private String frontGrain;

    /**
     * 背面纹路 字典:bom_reverseGrain
     */
    private String reverseGrain;

}
