package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderSkuArtworkMake;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 订单sku图稿制作列表查询返回值实体
 *
 * @author 
 * @since 2023-12-07
 */
@Getter
@Setter
public class OrderSkuArtworkMakeVo extends OrderSkuArtworkMake {

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * sku品号
     */
    private String skuCode;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * bom品名
     */
    private String bomSpecName;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 设计图
     */
    private String blueprint;

    /**
     * 设计图详情 json
     */
    private String blueprintDetails;

    /**
     * 生产文件
     */
    private String productionDocument;

    /**
     * 打样图
     */
    private String proofingImg;
}
