package com.sd.business.service.dict;

import com.sd.business.entity.dict.po.DictConfigData;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.dict.vo.DictConfigDataVo;
import com.sd.business.entity.dict.dto.DictConfigDataSelectDto;
import com.sd.business.entity.dict.dto.DictConfigDataDto;

import java.util.List;

/**
 * <p>
 * 字典配置数据 服务类
 * </p>
 *
 * @author 
 * @since 2023-12-05
 */
public interface DictConfigDataService extends BaseService<DictConfigData> {

    /**
     * 字典配置数据列表
     */
    List<DictConfigDataVo> getList(DictConfigDataSelectDto dto);

    /**
     * 字典配置数据分页
     */
    Page<DictConfigDataVo> getPage(DictConfigDataSelectDto dto);

    /**
     * 字典配置数据明细
     */
    DictConfigDataVo detail(Long id);

    /**
     * 字典配置数据新增
     */
    void add(DictConfigDataDto dto);

    /**
     * 字典配置数据编辑
     */
    void edit(DictConfigDataDto dto);

    /**
     * 字典配置数据删除
     */
    void delete(Long id);

}
