package com.sd.business.service.order;

import com.sd.business.entity.order.dto.OrderSkuArtworkMakeDto;
import com.sd.business.entity.order.po.OrderSkuArtworkMake;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderSkuArtworkMakeVo;
import com.sd.business.entity.order.dto.OrderSkuArtworkMakeSelectDto;


/**
 * <p>
 * 订单sku图稿制作 服务类
 * </p>
 *
 * @author 
 * @since 2023-12-07
 */
public interface OrderSkuArtworkMakeService extends BaseService<OrderSkuArtworkMake> {

    /**
     * 订单sku图稿制作分页
     */
    Page<OrderSkuArtworkMakeVo> getPage(OrderSkuArtworkMakeSelectDto dto);

    /**
     * 订单sku图稿制作明细
     */
    OrderSkuArtworkMakeVo detail(Long id);

    /**
     * 订单sku图稿制作编辑
     */
    void edit(OrderSkuArtworkMakeDto orderSkuArtworkMakeDto);
}
